twitter4j.auth

## Class AccessToken

- java.lang.Object
- - twitter4j.auth.AccessToken

All Implemented Interfaces:
  Serializable

    public class AccessToken
    extends Object
    implements Serializable

Representing authorized Access Token which is passed to the service provider in order to access protected resources.
the token and token secret can be stored into some persistent stores such as file system or RDBMS for the further accesses.

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AccessToken(String token, String tokenSecret)`
`AccessToken(String token, String tokenSecret, long userId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getParameter(String parameter)`
`String` `getScreenName()`
`String` `getToken()`
`String` `getTokenSecret()`
`long` `getUserId()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AccessToken

    public AccessToken(String token,
                       String tokenSecret)

#### AccessToken

    public AccessToken(String token,
                       String tokenSecret,
                       long userId)

### Method Detail

#### getScreenName

    public String getScreenName()

Returns:
  screen name
Since:
  Twitter4J 2.0.4

#### getUserId

    public long getUserId()

Returns:
  user id
Since:
  Twitter4J 2.0.4

#### equals

    public boolean equals(Object o)

#### hashCode

    public int hashCode()

#### toString

    public String toString()

#### getToken

    public String getToken()

#### getTokenSecret

    public String getTokenSecret()

#### getParameter

    public String getParameter(String parameter)